use crate::{animation::SpriteDesc, sprite::Sprite};

pub trait AnimationAssets<TextureKey> {
    fn get_sprite_desc(&self, desc_key: &str) -> Option<&SpriteDesc<TextureKey>>;
    fn get_texture(&self, sprite_key: &TextureKey) -> Option<&Sprite>;
}
